<?php
namespace App\Controller;

use App\Controller\AppController;
use cake\ORM\TableRegistry;
use Cake\I18n\Time;
use Cake\Event\EventInterface;

/**
 * Items Controller
 *
 * @property \App\Model\Table\ItemsTable $Items and AutoSparePartsTable $AutoSpareParts
 */
class AboutUsController extends ContentsController {
    public function initialize(): void
     {
        parent::initialize();   
        $this->slug="about-us";   
        
        $this->paginate = [
            'limit' => 50
        ];
    }

    public function beforeRender(EventInterface $event) {
        parent::beforeRender($event);

    }

    public function isAuthorized($user) {
        return  parent::isAuthorized($user);
    }

    /**
     * Index method
     *
     * @return void
     */
    public function index() {
         parent::index();
    }
}